import  { select, arc} from 'd3';

const svg = select('svg')


const heigth = +svg.attr('height')
const width = +svg.attr('width')

const g = svg.append('g')
   .attr('transform', `translate(${width / 2}, ${heigth / 2})`)

const circle = g.append('circle')
  .attr('r', heigth /2)

  .attr('fill', 'yellow')
  .attr('stroke', 'black')

const eyespacing = 80
const eyeYoffset = -70
const eyeradius = 30
const eyebrowWidth = 50
const eyebrowHeight = 20
const eyebrowYoffset = -70

const eyesG = g
	.append('g')
			.attr('transform', `translate(0, ${eyeYoffset})`)

const lefteye = eyesG
	.append('circle')
    .attr('r', eyeradius)
    .attr('cx',  -eyespacing)
    .attr('stroke', 'black')

const righteye = eyesG
	.append('circle')
    .attr('r', eyeradius)
    .attr('cx',  eyespacing)
    .attr('stroke', 'black')

const eybrwosG = eyesG
	.append('g')
  	.attr('transform' ,`translate(0,${eyebrowYoffset})`);
eybrwosG
	.transition().duration(2000)
		.attr('transform' ,`translate(0,${eyebrowYoffset -50})`)
	.transition().duration(2000)
		.attr('transform' ,`translate(0,${eyebrowYoffset})`)

const leftEyebrow = eybrwosG 
	.append('rect')
		.attr('x' ,-eyespacing - eyebrowWidth/2)
		.attr('width' ,eyebrowWidth)
		.attr('height' ,eyebrowHeight)

const rightEyebrow = eybrwosG
	.append('rect')
		.attr('x' , eyespacing - eyebrowWidth/2)
		.attr('width' ,eyebrowWidth)
		.attr('height' ,eyebrowHeight)
	




                     
const mouth = g
	.append('path')
  .attr('d', arc () ( {
    	innerRadius:150,
      outerRadius: 170,
      startAngle: Math.PI / 2,
      endAngle : Math.PI *3 /2 }))
















    